SHRED(1)

NAME
shred - overwrite a file to hide its contents, and optionally delete it

SYNOPSIS
shred [-hSuvz] [-n number] [FILE1]... [FILE2]...

DESCRIPTION
Overwrite the specified FILE(s) repeatedly, in order to make it harder for even very expensive hardware probing to recover the data.

-h  print a terse usage statement and exit.

-v  print a diagnostic for each file processed.

-n  overwrite N times instead of the default (3)

-S  sync file to disk after each pass.

-u  deallocate and remove file after overwriting.

-z  add a final overwrite with zeros to hide shredding.

EXIT STATUS

AUTHOR
Written by the JeanG3nie for HitchHiker Linux.

SEE ALSO
unlink(1), rm(1)

HISTORY
A shred utility first appeared in GNU coreutils.